
Figure - Bug #116562
【AF】【EVT1】【OTA】【偶现1次】设备烧机，进入设置，输入*#149#进入副屏调试功能，画面白屏，一段
时间后，出现“副屏调试功能已停止运行”
2023-02-27 11:10 - 移动测试一组_CDTS 刘强

Status: NEED_INFO Start date: 2023-02-27

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

Resolution: -- Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-02-28

Test Type: ST Root cause: 没有绑定mcu服务导致退出的时候解绑失败抛出异常。添加逻辑判断在解绑服务时，判断是否有绑定过，如果没有绑定过则不做解绑动作。

Description

【前提条件】

None

【测试步骤】

1. 设备烧机后，进入设置

2. 输入*#149#

3. 查看设备现象

【预期结果】

3 能够正常进入副屏调试功能

【实际结果】

3 偶现一次白屏，一段时间后出现“副屏调试功能已停止运行”

History

#1 - 2023-02-28 15:46 - CD TPM-王祥林

通过错误日志发现，由于没有绑定mcu服务导致退出的时候解绑失败抛出异常。

02-21 02:08:38.664  4335  4335 E AndroidRuntime: FATAL EXCEPTION: main

02-21 02:08:38.664  4335  4335 E AndroidRuntime: Process: com.thundercomm.mcuupgrade, PID: 4335

02-21 02:08:38.664  4335  4335 E AndroidRuntime: java.lang.RuntimeException: Unable to destroy activity

{com.thundercomm.mcuupgrade/com.thundercomm.mcuupgrade.MainActivity}: java.lang.IllegalArgumentException: Service not registered:

com.thundercomm.mcuupgrade.MainActivity$1@b18caae

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.ActivityThread.performDestroyActivity(ActivityThread.java:5388)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.ActivityThread.handleDestroyActivity(ActivityThread.java:5421)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.servertransaction.DestroyActivityItem.execute(DestroyActivityItem.java:47)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:176)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)
02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

02-21 02:08:38.664  4335  4335 E AndroidRuntime: Caused by: java.lang.IllegalArgumentException: Service not registered:

com.thundercomm.mcuupgrade.MainActivity$1@b18caae

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.LoadedApk.forgetServiceDispatcher(LoadedApk.java:1880)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.ContextImpl.unbindService(ContextImpl.java:2020)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.content.ContextWrapper.unbindService(ContextWrapper.java:846)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.content.ContextWrapper.unbindService(ContextWrapper.java:846)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at com.thundercomm.mcuupgrade.MainActivity.onDestroy(MainActivity.java:212)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.Activity.performDestroy(Activity.java:8341)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.Instrumentation.callActivityOnDestroy(Instrumentation.java:1365)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     at android.app.ActivityThread.performDestroyActivity(ActivityThread.java:5375)

02-21 02:08:38.664  4335  4335 E AndroidRuntime:     ... 13 more

02-21 02:08:38.665  1506  2045 I am_crash: [4335,0,com.thundercomm.mcuupgrade,818462277,java.lang.IllegalArgumentException,Service not registered:

#2 - 2023-02-28 15:48 - CD TPM-王祥林

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Root cause set to 没有绑定mcu服务导致退出的时候解绑失败抛出异常。添加逻辑判断在解绑服务时，判断是否有绑定过，如果没有绑定过则不做解绑动

作。

解决方案：

解绑服务时，判断是否有绑定过，如果没有绑定过则不做解绑动作。

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TestTools/+/184208/2/debugtools/src/main/java/com/thundercomm/debugtools/M

ainActivity.java#203

#3 - 2023-02-28 15:49 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

刘强

请在2.28或者以后的版本验证。

#4 - 2023-02-28 15:59 - CD TPM-王祥林

- Degrated changed from -- to No

- Fixed Version set to 2023-02-28

#5 - 2023-03-09 14:04 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：0079；0080；0081 三个版本测试10未复现

#6 - 2023-03-09 14:04 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
#7 - 2023-03-10 11:14 - CD TEST-方永红

- File tlog_sts40x190078_004_0302162320.tar.gz added

- Status changed from CLOSED to New

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

- Found Version changed from 0076 to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

3.10

0081版本再次复现

#8 - 2023-04-11 19:12 - CD TPM-王祥林

日志里没找到发生问题的原因，可能需要加日志来持续复现和分析。

这个是临时调试apk，正式版本不搭载，暂时不影响使用，先降低优先级。

#9 - 2023-05-06 11:29 - 移动测试一组_CDTS 刘强

- File tlog_ea56a99c_000014_0505235728.tar.gz added

0095-2257 版本再次复现，补充新的日志

#10 - 2023-06-07 17:36 - CD TPM-王祥林

- Status changed from New to Pending

非交付功能，偶现不影响使用，暂不处理。

#11 - 2023-06-10 18:42 - CD TPM-王祥林

- Status changed from Pending to NEED_INFO

#12 - 2023-08-24 16:54 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

#13 - 2023-10-31 09:47 - CD FW 曹覃刚

- Assignee changed from CD TPM-王祥林 to CD FW-程天颖

#14 - 2023-11-06 10:53 - CD FW-廖涛

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#15 - 2023-11-07 14:43 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

- Resolution changed from FIXED to --

从复现日志 tlog_ea56a99c_000014_0505235728.tar.gz  中没有相关的崩溃信息，无法定位问题，由于问题较久了，不好分析。麻烦测试帮忙复现，若无法复

现，麻烦关闭问题，谢谢。
Files

tlog.zip 6.25 MB 2023-02-27 移动测试一组_CDTS 刘强

20230227-110904.png 408 KB 2023-02-27 移动测试一组_CDTS 刘强

tlog_sts40x190078_004_0302162320.tar.gz 22.8 MB 2023-03-10 CD TEST-方永红

tlog_ea56a99c_000014_0505235728.tar.gz 615 KB 2023-05-06 移动测试一组_CDTS 刘强

2025-07-03 4/4


